/***********************************************************************
 *   asbutton - AfterStep application launcher               
 *
 ***********************************************************************/

typedef struct _XpmIcon {
	Pixmap pixmap;
	Pixmap mask;
	XpmAttributes attributes;
} XpmIcon;

enum {
	SIG_ERROR,
	SIG_TIMEOUT,
	SIG_CHILDDEAD,
	SIG_CONNECTED
};

enum {
	STATE_DISCONNECTED,
	STATE_CONNECTING,
	STATE_CONNECTED,
	STATE_FAILED
};

/***********************************************************************
 *	  Global variables
 ***********************************************************************/

Display   *display;
int        screen;
Window     rootwin, win, iconwin;
GC         gc;
int        depth;
Pixel      bg_pixel, fg_pixel;
Pixmap     pixmask;

XpmIcon    visible;

char      *app_name = "asdial"; 


/***********************************************************************
 *   Function Prototypes
 ***********************************************************************/

void ASButtonSetup(int argc, char **argv);
void CreateWindow(Window *win, Window *rootwin, XSizeHints xsizehints);
void FlushExpose(Window w);
void GetPixmaps(void);
int HandleEvent(pid_t *dialpid, const char *command);
void Redraw(void);
pid_t RunApp(const char *command);
void XSetup(const char *geometry);
int getsignal(int readp);
int main(int argc, char **argv);
void sighandler(int signo);
int sigsetup(void);
void helpinfo(void);
int getargs_set(char **to, const char *from);
int getargs(int argc, char **argv, char **command, char **geometry,
		char **display_str);
int defaultargs(char **command, char **geometry, char **display_str);
void State(int state);
void loadPixmaps(void);
void createPixmap(char *pixmap[], Pixmap *image);
int initpixmaps(char *xpm[]);
int reallyinit(void);
